summaryrefslogtreecommitdiffstats
path: root/tests/run
diff options
context:
space:
mode:
authorNicolas Williams <nico@cryptonector.com>2014-08-20 20:48:48 -0500
committerNicolas Williams <nico@cryptonector.com>2014-08-20 20:48:48 -0500
commit8d2d5e37e54ecfa823f0a5c6e9644aa2e97d5ee6 (patch)
tree2903675f4f2dfc5cde829be1863294fd04740a37 /tests/run
parent287e2c96ed795ebd57875a855d2ed5894311ecbb (diff)
Drop "any/" in module search; use 1.x-master
Diffstat (limited to 'tests/run')
-rwxr-xr-xtests/run55
1 files changed, 11 insertions, 44 deletions
diff --git a/tests/run b/tests/run
index 8a4ef0e7..0b5fcafc 100755
--- a/tests/run
+++ b/tests/run
@@ -20,6 +20,7 @@ if [ -z "$d" ]; then
exit 0
fi
+
## Test constant folding
# String constant folding (addition only)
@@ -73,74 +74,40 @@ fi
v=`scripts/version`
case "$v" in
-*-*) v=next;;
+*-*) v=`echo $v|sed -e 's/-.*$/-master/'`;;
*) true;;
esac
## Test library/module system
-cat > "$d/.jq" <<EOF
-def foo: "baz";
-def f: "wat";
-def f: "foo";
-def g: "bar";
-def fg: f+g;
-EOF
-
-mkdir -p "$d/$v/b" "$d/any/c" "$d/any/syntaxerror"
-
-cat > "$d/$v/a.jq" <<EOF
-module a {version:1.7};
-def a: "a";
-EOF
-
-cat > "$d/$v/b/b.jq" <<EOF
-def a: "b";
-def b: "c";
-EOF
-
-cat > "$d/any/c/d.jq" <<EOF
-def meh: "meh";
-EOF
-
-cat > "$d/any/c/c.jq" <<"EOF"
-module c {whatever:null};
-import a as foo;
-import d as d {search:"$ORIGIN/"};
-def a: 0;
-def c: foo::a + "c" + d::meh;
-EOF
-
-cat > "$d/any/syntaxerror/syntaxerror.jq" <<EOF
-wat;
-EOF
-
-if [ "`HOME=$d $VALGRIND $Q ./jq -nr fg`" != foobar ]; then
+mods=$PWD/tests/modules
+
+if [ "`HOME=$mods $VALGRIND $Q ./jq -nr fg`" != foobar ]; then
echo "Bug #479 appears to be back" 1>&2
exit 1
fi
-if [ `HOME=$d $VALGRIND $Q ./jq --debug-dump-disasm -n fg | grep '^[a-z]' | wc -l` -gt 3 ]; then
+if [ `HOME=$mods $VALGRIND $Q ./jq --debug-dump-disasm -n fg | grep '^[a-z]' | wc -l` -gt 3 ]; then
echo "Binding too many defs into program" 1>&2
exit 1
fi
-if ! $VALGRIND $Q ./jq -ner -L $d 'import a as foo; import b as bar; import a; def fooa: foo::a; [fooa, bar::a, bar::b, foo::a, a] | . == ["a","b","c","a","a"]' > /dev/null; then
+if ! $VALGRIND $Q ./jq -ner -L $mods 'import a as foo; import b as bar; import a; def fooa: foo::a; [fooa, bar::a, bar::b, foo::a, a] | . == ["a","b","c","a","a"]' > /dev/null; then
echo "Module system appears to be broken" 1>&2
exit 1
fi
-if ! $VALGRIND $Q ./jq -ner -L $d 'import c as foo; [foo::a, foo::c] | . == [0,"acmeh"]' > /dev/null; then
+if ! $VALGRIND $Q ./jq -ner -L $mods 'import c as foo; [foo::a, foo::c] | . == [0,"acmeh"]' > /dev/null; then
echo "Module system appears to be broken" 1>&2
exit 1
fi
-if [ "`$VALGRIND $Q ./jq -cner -L $d '\"c\" | modulemeta'`" != '{"whatever":null,"name":"c","deps":[{"as":"foo","name":"a"},{"search":"$ORIGIN/","as":"d","name":"d"}]}' ]; then
+if [ "`$VALGRIND $Q ./jq -cner -L $mods '\"c\" | modulemeta'`" != '{"whatever":null,"name":"c","deps":[{"as":"foo","name":"a"},{"search":"$ORIGIN/","as":"d","name":"d"}]}' ]; then
echo "modulemeta builtin appears to be broken" 1>&2
exit 1
fi
-if $VALGRIND ./jq -ner -L $d 'import syntaxerror; .' > $d/out 2>&1; then
+if $VALGRIND ./jq -ner -L $mods 'import syntaxerror; .' > $d/out 2>&1; then
echo "Module system appears to be broken" 1>&2
exit 1
fi
@@ -154,7 +121,7 @@ if ! grep '^jq: error: syntax error,' $d/out > /dev/null; then
exit 1
fi
-if $VALGRIND ./jq -ner -L $d '%::wat' > $d/out 2>&1 ||
+if $VALGRIND ./jq -ner -L $mods '%::wat' > $d/out 2>&1 ||
! grep '^jq: error: syntax error,' $d/out > /dev/null; then
echo "Syntax errors not detected?" 1>&2
exit 1